Package org.eclipse.mat.ui.util

## Interface IPolicy

All Known Implementing Classes:
  `Policy`

    public interface IPolicy

This lets the query browser find out which queries will work with the selected arguments then fills in the appropriate arguments for the selected query

No Implement:

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `accept​(QueryDescriptor query)`
`void` `fillInObjectArguments​(ISnapshot snapshot, QueryDescriptor query, ArgumentSet set)`

### Method Detail

#### accept

    boolean accept​(QueryDescriptor query)

#### fillInObjectArguments

    void fillInObjectArguments​(ISnapshot snapshot,
                               QueryDescriptor query,
                               ArgumentSet set)